<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div
    data-backdrop="static"
    data-keyboard="false"
    class="modal s--modal s--modal-right animated fadeInRight"
    id="learningSituationCustomerDetail"
    v-if="student"
  >
    <div class="modal-dialog" style="max-width: 1100px;">
      <div class="modal-content">
        <div class="modal-header">
          <h3 class="modal-title">
            <span style="margin-right: 5px;">
              <i class="icon icon-book" style="font-size: 22px;"></i>
            </span>
            <span>Tình hình học tập của 1 học viên</span>
          </h3>
          <button
            @click.prevent="reset()"
            type="button"
            class="close modal-close"
            data-dismiss="modal"
            aria-label="Close"
          >
            <span aria-hidden="true">
              <i class="la la-times"></i>
            </span>
          </button>
        </div>

        <div class="modal-body" data-scrollable="true" data-scrollbar-shown="true">
          <div class="dataTables_wrapper">
            <div class="row m--margin-bottom-20">
              <div class="col-md-4 m--margin-bottom-20">
                <label class="nt-label">Mã học viên</label>
                <br />
                <span class="nt-color-primary">{{student.member_code}}</span>
              </div>
              <div class="col-md-4 m--margin-bottom-20">
                <label class="nt-label">Tên học viên</label>
                <br />
                <span class="nt-color-primary">{{student.member_name}}</span>
              </div>
              <div class="col-md-4 m--margin-bottom-20">
                <label class="nt-label">Bảo lưu/chuyển lớp</label>
                <br />
                <span class="nt-color-primary">
                  <template v-if="student.comment">
                    <span>Chưa học/</span>
                  </template>
                  <template v-if="student.class_member_status && student.is_join == 1">
                    <template v-if="student.class_member_status == 4">
                      <span>Chuyển lớp</span>
                    </template>
                    <template v-else>
                      <span>Đang bảo lưu</span>
                    </template>
                  </template>
                </span>
              </div>
              <div class="col-md-4">
                <label class="nt-label">Mã lớp</label>
                <br />
                <span class="nt-color-primary">{{student.code}}</span>
              </div>
              <div class="col-md-4">
                <label class="nt-label">Tên lớp</label>
                <br />
                <span class="nt-color-primary">{{student.name}}</span>
              </div>
              <div class="col-md-4">
                <label class="nt-label">Khóa học</label>
                <br />
                <span class="nt-color-primary">{{student.course_name}}</span>
              </div>
            </div>

            <div
              class="table-container table-responsive nt-scroll-primary"
              id="table-responsive-data"
            >
              <table
                class="table table-bordered table-hover s--table nt-table-list nt-table-list-all"
              >
                <thead style="background:#F4F5F9">
                  <tr>
                    <th>Buổi học</th>
                    <th>Ngày học</th>
                    <th>Giờ bắt đầu</th>
                    <th>Giờ kết thúc</th>
                    <th>Trạng thái buổi</th>
                    <th>Điểm danh</th>
                    <th>Kiểm tra BTVN</th>
                    <th class="member-teacher-comment">Ghi chú BTVN</th>
                    <th class="member-teacher-comment">Giáo viên nhận xét</th>
                  </tr>
                </thead>
                <tbody>
                  <tr
                    :class="learning.is_hidden_item ? 'd-none' : 'd-table-row'"
                    v-for="(learning, index) in listLearnings"
                    :key="index"
                  >
                    <template v-if="listLearnings && listLearnings.length > 0">
                      <td>{{learning.lesson}}</td>
                      <td>{{learning.date | formatDateTime}}</td>
                      <td>{{ getValueTime(learning.start_time, learning.id) }}</td>
                      <td>{{ getValueTime(learning.end_time, learning.id) }}</td>
                      <td>
                        <template v-if="learning.is_checkin">
                          Đã thực hiện
                        </template>
                        <template v-else>
                          Chưa thực hiện
                        </template>
                        <!-- <div
                          v-if="getLessonState(learning.date) && getLessonState(learning.date).name && getLessonState(learning.date).class"
                          style="margin-bottom: 3px; margin-right: 3px;"
                        >{{ getLessonState(learning.date).name }}</div> -->
                      </td>
                      <td>
                        <template v-if="learning.id">
                          <template
                            v-if="learning.is_checkin && !learning.is_checkin_late && !learning.is_back_soon"
                          >
                            <span style="color: #69BE31">Đi học</span>
                          </template>
                          <template
                            v-else-if="learning.is_checkin && learning.is_checkin_late && learning.is_back_soon"
                          >Đi học muộn/Về sớm</template>
                          <template
                            v-else-if="learning.is_checkin && learning.is_checkin_late && !learning.is_back_soon"
                          >Đi học muộn</template>
                          <template
                            v-else-if="learning.is_checkin && !learning.is_checkin_late && learning.is_back_soon"
                          >Về sớm</template>
                          <template v-else-if="!learning.is_checkin">
                            <span style="color: #B82E45">Không đi học</span>
                          </template>
                        </template>
                      </td>
                      <td>
                        <template v-if="learning.id">
                          <template v-if="learning.home_work == 1">Đã làm bài tập</template>
                          <template v-else>Chưa làm bài tập</template>
                        </template>
                      </td>
                      <td>
                        <div
                          v-html="learning.note_home_work"
                          style="white-space: pre-line; word-break: break-word;"
                        ></div>
                      </td>
                      <td>
                        <div
                          v-html="learning.note"
                          style="white-space: pre-line; word-break: break-word;"
                        ></div>
                      </td>
                    </template>
                  </tr>
                  <tr v-if="listLearnings  && listLearnings.length <= 0 && loadDataClass">
                    <td
                      colspan="100"
                      class="text-center"
                      style="padding: 20px 0;"
                    >Chưa có buổi học nào.</td>
                  </tr>
                  <tr v-if="!loadDataClass">
                    <div
                      style="position: absolute;left: 0px;top: 0px;width: 100%;height: 100%;background: #ffffff8a;z-index: 12;"
                    >
                      <div
                        class="m-loader m-loader--brand m-loader--lg"
                        style="width: 30px; height: 30px; display: inline-block; position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);"
                      ></div>
                    </div>
                  </tr>
                </tbody>
              </table>
            </div>
            <div class="dataTables_wrapper">
              <div
                v-if="listLearnings && listLearnings.length > 0"
                class="dataTables_paginate paging_simple_numbers m--margin-top-20 d-flex justify-content-end"
              >
                <pagination
                  :loader="isLoader"
                  :pagination="pagination"
                  @paginate="getPaginationLearningSituation"
                ></pagination>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer" style="padding: 10px; display: flex; justify-content: start;">
          <button
            :disabled="isLoaderExportLearningSituation"
            :class="{ 'nt-button-disabled': isLoaderExportLearningSituation }"
            @click.prevent="exportLearningSituation()"
            type="button"
            class="nt-button nt-button-primary mr-0"
            v-if="accessible( userCheckAddOn, 'education', PERMISSION_EXPORT_MEMBER_HISTORY, userCurrentPermissions)"
          >
            <i class="icon icon-export"></i>&nbsp;Export tình hình học tập
          </button>
          <button
            type="button"
            class="nt-button nt-button-primary nt-button-not-permisson mr-0"
            data-toggle="m-tooltip"
            :data-original-title="titleNotPermisson"
            data-html="true"
            v-else
          >
            <i class="icon icon-export"></i>&nbsp;Export tình hình học tập
          </button>
        </div>
      </div>
    </div>
  </div>
</template>
